body, html {
    margin: 0 auto;
    height: 0;

    font-family: "Karla", sans-serif;
    font-size: 20px;
    background-color: #f8f8f8;
}

a:link, a:visited, a:link:active, a:visited:active {
    color: black;
    text-decoration: none;
}

#container {
    position: relative;
    width: 100%;
    height: 0;

    margin: 0 auto;
}

/* Navbar */

#navbar-container {
    position: fixed;
    width: 100%;
    height: 90px;
    top: 0;

    z-index: 1;
    background-color: #f8f8f8;
    border-bottom: 10px solid #4d89ff;
}

#navbar {
    position: relative;
    margin: 0 auto;
    width: 1080px;
    height: 50%;
    top: 50%;
    transform: translateY(-50%);
}

#title-icon {
    position: relative;
    float: left;
    width: 33%;

    font-family: "Maven Pro", sans-serif;
    font-size: 40px;
}

#navbar-button-container {
    position: relative;
    float: right;
    width: 39%;
    height: 100%;

    font-family: "Maven Pro", sans-serif;
    font-size: 22px;
}

/* A TAG */
.navbar-button {
    float: left;
    width: 33.33%;
    height: 100%;

    text-align: center;
    line-height: 45px;

    background: linear-gradient(to right, #4d89ff 50%, #f8f8f8 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    transition: all .3s ease-out;
}

.navbar-button:hover {
    background-position: left bottom;
    cursor: pointer;
    color: #f8f8f8;
}

/* Header */

#content-container {
    position: relative;
    top: 110px;
    margin: 0 auto;
    width: 960px;

    z-index: -1;
}

#header {
    position: relative;
    top: 50px;
}

#header h1 {
    margin-top: 0;
}

#header p {
    font-size: 25px;
}

#portfolio-container {
    position: relative;
    top: 150px;
}

.project-preview {
    width: 100%;
    height: 500px;
    margin-bottom: 40px;
}

.project-border {
    width: 100%;
    height: 10px;
}

#project0 {
    width: 100%;
    height: 100%;
    background-color: #2360b0;
}

#project1 {
    width: 100%;
    height: 100%;
    background-color: #ec1c2c;
}

#project2 {
    width: 100%;
    height: 100%;
    background-color: #68902B;
}

#project3 {
    width: 100%;
    height: 100%;
    background-color: #023d4e;
}

#project4 {
    width: 100%;
    height: 100%;
    background-color: #FF6600;
}

#project5 {
    width: 100%;
    height: 100%;
    background-color: #9E9E9E;
}

.project-container {
    width: 100%;
    height: 100%;
}

.project-text {
    position: relative;
    top: 20px;
    width: calc(100% - 480px);
    float: left;
}

.project-title {
    font-size: 40px;
}

.project-description {
    font-size: 25px;
}

/* A TAG */
#project-link-0 {
    font-size: 25px;
    padding: 15px;
    border: 1.5px solid #2360b0;

    background: linear-gradient(to right, #2360b0 50%, #f8f8f8 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    transition: all .3s ease-out;
}

#project-link-0:hover {
    background-position: left bottom;
    cursor: pointer;
    color: #f8f8f8;
}

#project-link-1 {
    font-size: 25px;
    padding: 15px;
    border: 1.5px solid #ec1c2c;

    background: linear-gradient(to right, #ec1c2c 50%, #f8f8f8 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    transition: all .3s ease-out;
}

#project-link-1:hover {
    background-position: left bottom;
    cursor: pointer;
    color: #f8f8f8;
}

#project-link-2 {
    font-size: 25px;
    padding: 15px;
    border: 1.5px solid #68902B;

    background: linear-gradient(to right, #68902B 50%, #f8f8f8 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    transition: all .3s ease-out;
}

#project-link-2:hover {
    background-position: left bottom;
    cursor: pointer;
    color: #f8f8f8;
}

#project-link-3 {
    font-size: 25px;
    padding: 15px;
    border: 1.5px solid #d1d0d1;

    background: linear-gradient(to right, #023d4e 50%, #f8f8f8 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    transition: all .3s ease-out;
}

#project-link-3:hover {
    background-position: left bottom;
    cursor: pointer;
    color: #f8f8f8;
}

#project-link-4 {
    font-size: 25px;
    padding: 15px;
    border: 1.5px solid #FF6600;

    background: linear-gradient(to right, #FF6600 50%, #f8f8f8 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    transition: all .3s ease-out;
}

#project-link-4:hover {
    background-position: left bottom;
    cursor: pointer;
    color: #f8f8f8;
}

#project-link-5 {
    font-size: 25px;
    padding: 15px;
    border: 1.5px solid #9E9E9E;

    background: linear-gradient(to right, #9E9E9E 50%, #f8f8f8 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    transition: all .3s ease-out;
}

#project-link-5:hover {
    background-position: left bottom;
    cursor: pointer;
    color: #f8f8f8;
}

.project-picture {
    position: relative;
    width: 480px;
    height: 480px;
    float: left;
}


/* about.html */


#about-container {
    position: relative;
    top: 50px;
}

#about-picture {
    display: inline-block;
    width: auto;
    height: auto;
    max-width: 400px;
    max-height: 400px;
}

#about-text {
    display: inline-block;
    float: right;
    width: calc(100% - 435px);
    margin-left: 35px;
}

#about-text h2 {
    margin-top: 0;
}

#about-text a {
    color: rgba(0, 0, 255, 0.6);
    transition: .3s;
}

#about-text a:hover {
    color: rgba(0, 0, 255, 1);
}


/* case studies */


#cs-container {
    position: relative;
    top: 110px;
    width: 100%;
}

.cs-row {
    width: 100%;
    padding-bottom: 2em;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.cs-row-half {
    width: 50%;
    flex-grow: 1;
}
